package ueb084popart;

import processing.core.*;

@SuppressWarnings("serial")
public class Ueb084PopArt extends PApplet {
	
	private PImage img;
	private int orgColor, compColor;

	public void setup() {
		img = loadImage("image.jpg");
		if (img == null) {
			System.out.println("image not found!");
		}
		
		size(img.height, img.width);
		
		generateColor();
	}

	public void draw() {
		loadPixels();
		
		//image(img, 0, 0);
		img.loadPixels();
		
		for (int y = 0; y < height; y++) {
			for (int x = 0; x < width; x++) {
				int loc = x + y * width;
				
				if (img.pixels[loc] < color(125, 125, 125)) {
					pixels[loc] = orgColor;
				} else
					pixels[loc] = compColor;
			}
		}
		
		updatePixels();
	}
	
	public void mouseMoved() {
		generateColor();
	}
	
	public void generateColor() {
		// random start color
		orgColor = color(random(255), random(255), random(255));
		
		float r = orgColor >> 16 & 0xFF; //red(colOrg);
		float g = orgColor >> 8 & 0xFF;  //green(colOrg);
		float b = orgColor & 0xFF;       //blue(colOrg);
		compColor = color(255 - r, 255 - g, 255 - b);
	}
}
